var neo4j = require('neo4j-driver').v1;
var driver = neo4j.driver("bolt://localhost:7687", neo4j.auth.basic("neo4j", "admin"));
var session = driver.session();


exports.deleteAll = function () {
    return session
        .run("MATCH(d:Detalle) DETACH DELETE d")
        .then(result => {
            return Promise.resolve(result.records.map((detalle) => detalle._fields[0].properties))
        })
}

exports.createDetalle = function (detalle) {
    return session
        .run("match (o:OrdenProduccion {idOrden: '"+detalle.idOrden+"'}),(p:Producto {idProducto: '"+detalle.idProducto+"'})"+
            "merge (o)-[:PARENT]->(d:Detalle)-[:CONSUME {cantidad: '"+detalle.cantidad+"'}]->(p)"+
            "return d")
        .then(() => {
            return Promise.resolve({
                result: "Detalle agregado correctamente"
            })
        })
        .catch(function (err) {
            done(err)
        })
}