var expect = require('chai').expect
var should = require('chai').should()
var detalles = require('../src/models/detalles')
var ordenes = require('../src/models/ordenes')
var productos = require('../src/models/productos')
var babel = require('babel-core/register')


before(function (done) {
    console.log("  DETALLES")
    console.log("  -----------")
    console.log("")
    // console.log("  Al comenzar borra todos los detalles\n")
    // detalles.deleteAll()
    done()
})

describe('Funcionamiento de los nodos de Detalle', function () {
    it('debería crear un detalle y asociarlo a la orden y el producto', function () {
        var p = {
            idProducto: "123"
        }
        var o = {
            idOrden: "123789",
            producto: {
                idProducto: "123"
            },
            fecha: "123",
            cantidad: "1"
        }
        //productos.addProducto(p)
        //ordenes.addOrden(o)
        var detalle = {
            idOrden: "123789",
            idProducto: "123",
            cantidad: "1000"

        }
        detalles.createDetalle(detalle)
    })
})